content/operate/rs/7.8/references/rest-api/requests/cluster/debuginfo.md
| Method | Path | Description |
|---|---|---|
| GET | /v1/cluster/debuginfo | Get debug info from all nodes and databases |
GET /v1/cluster/debuginfo
Downloads a tar file that contains debug info from all nodes and databases.
| Permission name |
|---|
| [view_debugging_info]({{< relref "/operate/rs/7.8/references/rest-api/permissions#view_debugging_info" >}}) |
GET /v1/cluster/debuginfo
Downloads the debug info in a tar file called filename.tar.gz. Extract the files from the tar file to access the debug info for all nodes.
| Key | Value | Description |
|---|---|---|
| Content-Type | application/x-gzip | Media type of request/response body |
| Content-Length | 653350 | Length of the response body in octets |
| Content-Disposition | attachment; filename=debuginfo.tar.gz | Display response in browser or download as attachment |
| Code | Description |
|---|---|
| 200 OK | Success. |
| 500 Internal Server Error | Failed to get debug info. |